--[[
Description: This plugin is part of the "Titan Panel [Professions] Multi" addon. It shows your Mining skill level.
Site: http://www.curse.com/addons/wow/titan-panel-professions-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "MINM"
local MINM, prevMINM = 0.0, -2
local MINMmax, preMINMmax = 0, 0
local startskill
-----------------------------------------------
local function OnClick(self, button)
	if (button == "LeftButton") then
		local prof = L["mining"]
		if prof == L["mining"] then prof = L["smelting"] end
		CastSpellByName(prof)
	end
end
-----------------------------------------------
local function OnUpdate(self, id)
	local prof1, prof2 = GetProfessions();

	local skillLevel = 0
	local maxSkillLevel = 0

	if prof1 then
		local name, _, level, maxLevel = GetProfessionInfo(prof1)
		if name == L["mining"] then
			skillLevel = level
			maxSkillLevel = maxLevel
		elseif prof2 then
			name, _, level, maxLevel = GetProfessionInfo(prof2)
			if name == L["mining"] then
				skillLevel = level
				maxSkillLevel = maxLevel
			end
		end
	end

	MINM = skillLevel
	MINMmax = maxSkillLevel
	if not startskill then startskill = skillLevel end

	if MINM == prevMINM and MINMmax == preMINMmax then
		return
	end

	preMINMmax = MINMmax
	prevMINM = MINM
	TitanPanelButton_UpdateButton(id)
	return true
end
-----------------------------------------------
local function GetButtonText(self, id)
	local MINMtext
	local HideText = "" -- Texto HideMax
	if not TitanGetVar(ID, "HideMax") then
		HideText = "|r/|cFFFF2e2e"..MINMmax
	end

	local BarBalanceText = ""
	if MINMmax ~= 0 and (MINM - startskill) > 0 and TitanGetVar(ID, "ShowBarBalance") then
		BarBalanceText = " |cFF69FF69["..(MINM - startskill).."]"
	end

	if MINM == 700 then
		MINMtext = "|cFF69FF69"..L["maximum"]
	elseif MINMmax == 0 then
		MINMtext = "|cFFFF2e2e"..L["noprof"]
	elseif MINM == MINMmax then
		MINMtext = "|cFFB4EEB4"..L["gotrainer"]
	else
		MINMtext = "|cFFFFFFFF"..MINM..HideText..BarBalanceText
	end

	return L["mining"]..": ", MINMtext
end
-----------------------------------------------
local function GetTooltipText(self, id)
	local ColorValueAccount -- Cores da conta de valor
	if not MINM then
		ColorValueAccount = ""
	elseif MINM == 700 then
		ColorValueAccount = ""
	elseif (MINM - startskill) == 0 then
		ColorValueAccount = "\r"..L["session"]..TitanUtils_GetHighlightText("0")
	elseif (MINM - startskill) > 0 then
		ColorValueAccount = "\r"..L["session"].."|cFF69FF69"..(MINM - startskill)
	end

	local ValueText = "" -- Difere com e sem profissão
	if MINM == 0 then
		ValueText = L["noskill"]
	else
		ValueText = L["tooltipDescription"]..L["mining"].."."..ColorValueAccount
	end

	return ValueText
end
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|c0070DE5f "..L["mining"].."|r".." Multi",
	tooltip = L["mining"],
	icon = "Interface\\Icons\\Trade_mining.blp",
	category = "Profession",
	version = version,
	onUpdate = OnUpdate,
	onClick = OnClick,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = L.PrepareProfessionsMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		HideMax = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	}
})
